Subject: Re: Problem with git-push

From: Florent Thoumie <[email-masked]>
Date: Wed, 01 Nov 2006 19:57:15 +0000

On Tue, 2006-10-31 at 15:39 -0800, Junio C Hamano wrote:

> A quick workaround until we sort this out would be:
> 
>  - make sure all your developers have umask suitable for group
>    work (i.e. second octal-digit from the right should be zero
>    to give group members the same rights as you do).
> 
>  - run "chmod g+w .git/objects/??" in the shared repository.

I thought I checked on the remote (guess I only looked at my local
repo), but that was it, wrong perms.

Sorry if this is a dumb question but assuming i did 3 successive
git-push's, why is the object name changing from a try to another?

Thanks for the answer.

Florent